Bug 660766 - FTBFS dfu-util-0.1-0.11.fc14
FTBFS dfu-util-0.1-0.11.fc14
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dfu-util (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Juha Tuomala
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Patch, Triaged
Depends On:
Blocks: F15FTBFS
  Show dependency treegraph
 
Reported: 2010-12-07 12:54 EST by FTBFS
Modified: 2011-06-23 23:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: dfu-util-0.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-23 23:25:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (39.26 KB, text/plain)
2010-12-07 12:54 EST, FTBFS
no flags Details
build.log (12.61 KB, text/plain)
2010-12-07 12:54 EST, FTBFS
no flags Details
mock.log (875 bytes, text/plain)
2010-12-07 12:54 EST, FTBFS
no flags Details
root.log (54.10 KB, text/plain)
2010-12-07 12:54 EST, FTBFS
no flags Details
build.log (13.00 KB, text/plain)
2010-12-07 12:54 EST, FTBFS
no flags Details
mock.log (945 bytes, text/plain)
2010-12-07 12:54 EST, FTBFS
no flags Details
prevent building the unused static binary (566 bytes, patch)
2011-03-26 09:47 EDT, Niels de Vos
no flags Details | Diff
changes the spec-file to prevent building the static binary (1.36 KB, patch)
2011-03-26 09:50 EDT, Niels de Vos
no flags Details | Diff

  None (edit)
Description FTBFS 2010-12-07 12:54:03 EST
dfu-util-0.1-0.11.fc14.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-12-07 12:54:06 EST
Created attachment 465447 [details]
root.log


root.log for i386
Comment 2 FTBFS 2010-12-07 12:54:07 EST
Created attachment 465448 [details]
build.log


build.log for i386
Comment 3 FTBFS 2010-12-07 12:54:09 EST
Created attachment 465449 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2010-12-07 12:54:10 EST
Created attachment 465450 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2010-12-07 12:54:11 EST
Created attachment 465451 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2010-12-07 12:54:12 EST
Created attachment 465452 [details]
mock.log


mock.log for x86_64
Comment 7 Niels de Vos 2011-03-26 09:47:35 EDT
Created attachment 487740 [details]
prevent building the unused static binary

building dfu_util_static is to be broken on f15:
- http://kojipkgs.fedoraproject.org/packages/libusb/0.1.3/7.fc15/data/logs/x86_64/build.log

The output of configure contains:
> checking if gcc static flag -static works... no

Therefore compiling with gcc did not have the -static flag passed on the commandline. This resulted in a broken libusb-static which prevents the static part of dfu-util to be linked correctly.

The attached patch prevents building the static binary (which was excluded from the %files section anyway) and makes the build succeed again.
Comment 8 Niels de Vos 2011-03-26 09:50:43 EDT
Created attachment 487741 [details]
changes the spec-file to prevent building the static binary

Please check the attached patches and apply if suitable. With these changes, dfu-util builds successful:

$ fedpkg scratch-build --srpm dfu-util-0.1-0.13.fc16.src.rpm
[====================================] 100% 00:00:04 107.05 KiB  21.81 KiB/sec
Building dfu-util-0.1-0.13.fc16 for dist-rawhide
Created task: 2948188
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2948188
Watching tasks (this may be safely interrupted)...
2948188 build (dist-rawhide, dfu-util-0.1-0.13.fc16.src.rpm): free
2948188 build (dist-rawhide, dfu-util-0.1-0.13.fc16.src.rpm): free -> open (x86-18.phx2.fedoraproject.org)
  2948190 buildArch (dfu-util-0.1-0.13.fc16.src.rpm, i686): free
  2948189 buildArch (dfu-util-0.1-0.13.fc16.src.rpm, x86_64): open (x86-20.phx2.fedoraproject.org)
  2948190 buildArch (dfu-util-0.1-0.13.fc16.src.rpm, i686): free -> open (x86-02.phx2.fedoraproject.org)
  2948189 buildArch (dfu-util-0.1-0.13.fc16.src.rpm, x86_64): open (x86-20.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  2948190 buildArch (dfu-util-0.1-0.13.fc16.src.rpm, i686): open (x86-02.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
2948188 build (dist-rawhide, dfu-util-0.1-0.13.fc16.src.rpm): open (x86-18.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

2948188 build (dist-rawhide, dfu-util-0.1-0.13.fc16.src.rpm) completed successfully
Comment 9 Fedora Update System 2011-06-11 08:14:55 EDT
dfu-util-0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dfu-util-0.3-1.fc14
Comment 10 Fedora Update System 2011-06-11 08:15:03 EDT
dfu-util-0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dfu-util-0.3-1.fc15
Comment 11 Fedora Update System 2011-06-11 08:15:10 EDT
dfu-util-0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dfu-util-0.3-1.fc13
Comment 12 Fedora Update System 2011-06-15 01:42:42 EDT
Package dfu-util-0.3-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dfu-util-0.3-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/dfu-util-0.3-1.fc14
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2011-06-23 23:25:51 EDT
dfu-util-0.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2011-06-23 23:30:18 EDT
dfu-util-0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-06-23 23:31:39 EDT
dfu-util-0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.